@keyframes leftToRight {
  from {
    opacity: 0;
    transform: translateX(-100px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes rightToLeft {
  from {
    opacity: 0;
    transform: translateX(100px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes topToBottom {
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes bottomToTop {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.animate {
  opacity: 0;
}

.animate.show {
  opacity: 1;
}

.left {
  transform: translateX(-100px);
}
.right {
  transform: translateX(100px);
}
.top {
  transform: translateY(-100px);
}
.bottom {
  transform: translateY(100px);
}

.animate.show {
  transform: translate(0);
  transition: all 0.8s ease;
}
